/*

  $Id: SessionString.h 387 2015-12-08 18:53:52Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#ifndef __Auth4c__SessionString_h__
#define __Auth4c__SessionString_h__

#include <Auth4cData/Auth4cData.h>
#include <Auth4cData/Session.h>
#include <string>

namespace Auth4cData
{
	class Auth4cData_Export SessionString : public Session
	{
		public:
			SessionString();
			SessionString( const std::string& _strSession );
			SessionString( const SessionString& session );
			virtual ~SessionString();
			
			const SessionString& operator=( const SessionString& session );

			virtual const std::string& str() const;
			virtual Session* copy() const;
	};
};

#endif /* !__Auth4c__SessionString_h__ */
