/*

  $Id: AboutUserWidget.h 403 2015-12-10 14:13:42Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#ifndef __AboutUserWidget_h__
#define __AboutUserWidget_h__

#include <Auth4cUIComponents/auth4cuicomponents_global.h>

#include <QWidget>
#include <Auth4cUIComponents/GeneratedFiles/ui_AboutUserWidget.h>

#include <Auth4cData/AuthenticatedUser.h>

namespace Auth4cUIComponents
{
	class AUTH4CUICOMPONENTS_EXPORT AboutUserWidget : public QWidget, private Ui::AboutUserWidget
	{
		Q_OBJECT

		private:
			Auth4cData::AuthenticatedUser _user;

		public:
			AboutUserWidget( QWidget* pparent = NULL );
			virtual ~AboutUserWidget();

			void setUser( const Auth4cData::User& user );
			void setUser( const Auth4cData::AuthenticatedUser& user );

		protected slots:
			void onCopy();
	};
};

#endif /* !__AboutUserWidget_h__ */
