/*

  $Id: PasswordAuthenticationToken.h 387 2015-12-08 18:53:52Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#ifndef __Auth4c__PasswordAuthenticationToken_h__
#define __Auth4c__PasswordAuthenticationToken_h__

#include <Auth4cData/Auth4cData.h>
#include <Auth4cData/AuthenticationToken.h>

namespace Auth4cData
{
	class Auth4cData_Export PasswordAuthenticationToken : public AuthenticationToken
	{
		private:
			std::string _strPassword;

		public:
			PasswordAuthenticationToken();
			PasswordAuthenticationToken( const std::string& strPassword );
			PasswordAuthenticationToken( const PasswordAuthenticationToken& passAuthToken );
			virtual ~PasswordAuthenticationToken();
			
			const PasswordAuthenticationToken& operator=( const PasswordAuthenticationToken& passAuthToken );

			virtual const std::string& str() const;
	};
};

#endif /* !__Auth4c__PasswordAuthenticationToken_h__ */
