/*

  $Id: AskUserDialog.h 403 2015-12-10 14:13:42Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#ifndef __Auth4cUIComponents_AskUserDialog_h__
#define __Auth4cUIComponents_AskUserDialog_h__

#include <Auth4cUIComponents/auth4cuicomponents_global.h>

#include <QDialog>
#include <Auth4cUIComponents/GeneratedFiles/ui_AskUserDialog.h>

#include <Auth4cData/Domain.h>

namespace Auth4cUIComponents
{
	class AUTH4CUICOMPONENTS_EXPORT AskUserDialog : public QDialog, private Ui::AskUserDialog
	{
		Q_OBJECT

		public:
			AskUserDialog( QWidget* pparent );
			virtual ~AskUserDialog();

			QString domain();
			QString userId();

			void setDomain( const Auth4cData::Domain& domain, bool bRestrict = false );

		protected slots:
	};
};

#endif /* !__Auth4cUIComponents_AskUserDialog_h__ */
