/*

  $Id: ExceptionDialog.h 748 2021-02-10 17:56:48Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#ifndef __Auth4cUIComponents_ExceptionDialog_h__
#define __Auth4cUIComponents_ExceptionDialog_h__

#include <Auth4cUIComponents/auth4cuicomponents_global.h>

#include <Auth4cData/Exception.h>

#include <QDialog>
#include <Auth4cUIComponents/GeneratedFiles/ui_Auth4cExceptionDialog.h>

namespace Auth4cUIComponents
{
	class AUTH4CUICOMPONENTS_EXPORT ExceptionDialog : public QDialog, private Ui::Auth4cExceptionDialog
	{
		Q_OBJECT

		private:
			bool _bExpanded;
			const Auth4cData::Exception* _peNA;

		public:
			ExceptionDialog( QWidget* pparent, const Auth4cData::Exception& eNA );
			virtual ~ExceptionDialog();

		protected slots:
			void accept();
			void reject();
			void help();
			void copy();
	};
};

#endif /* !__ExceptionDialog_h__ */
