/*

  $Id: UserTreeWidget.h 403 2015-12-10 14:13:42Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#ifndef __UserTreeWidget_h__
#define __UserTreeWidget_h__

#include <Auth4cUIComponents/auth4cuicomponents_global.h>

#include <QWidget>
#include <Auth4cUIComponents/GeneratedFiles/ui_UserTreeWidget.h>

#include <Auth4cData/Team.h>
#include <Auth4cData/User.h>

namespace Auth4cUIComponents
{
	class AUTH4CUICOMPONENTS_EXPORT UserTreeWidget : public QWidget, private Ui::UserTreeWidget
	{
		Q_OBJECT

		private:

		public:
			UserTreeWidget( QWidget* pparent );
			virtual ~UserTreeWidget();

			void selection( Auth4cData::TeamMap& teamS, Auth4cData::UserMap& userS );

		protected slots:
			void accept();
			void reject();
			void onExpanded( QTreeWidgetItem* pitem );
			void onCMReq( const QPoint& point );
	};
};

#endif /* !__UserTreeWidget_h__ */
